# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.86.0"
name = "sse-reqwest-client"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A robust, auto-reconnecting Server-Sent Events (SSE) client built on reqwest"
readme = "README.md"
keywords = [
    "eventsource",
    "http",
    "reqwest",
    "sse",
    "stream",
]
categories = [
    "api-bindings",
    "network-programming",
    "web-programming::http-client",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/PizzasBear/sse-rs"

[features]
serde = [
    "dep:serde",
    "sse-core/serde",
]

[lib]
name = "sse_reqwest_client"
path = "src/lib.rs"

[dependencies.bytes]
version = "1.11"

[dependencies.futures-core]
version = "0.3"

[dependencies.reqwest]
version = "0.13"
features = ["stream"]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dependencies.sse-core]
version = "0.1"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.52"

[dev-dependencies.futures-util]
version = "0.3.32"

[dev-dependencies.tokio]
version = "1.52.1"
features = [
    "macros",
    "rt-multi-thread",
]

[dev-dependencies.tokio-test]
version = "0.4.5"
